%define	upstream_name MD5
%define upstream_version 2.03

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6
License:	GPL or Artistic
Group:		Development/Perl
Summary:	The Perl interface to the RSA Message Digest Algorithm
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/%{upstream_name}/GAAS/%{upstream_name}-%{upstream_version}.tar.gz
Buildrequires:	perl-devel
Buildarch:	noarch

%description
The perl-MD5 package provides the MD5 module for the Perl
programming language.  MD5 is a Perl interface to the RSA Data
Security Inc. Message Digest Algorithm, which allows Perl
programs to use the algorithm.

The perl-MD5 package should be installed if any Perl programs
on your system are going to use RSA's Message Digest Algorithm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor --defaultdeps
%make_build

%install
%make_install

find %{buildroot} -name "perllocal.pod" -delete

%files
%doc MANIFEST README
%{perl_vendorlib}/*.pm
%{_mandir}/man3/*


%changelog
* Wed Nov 02 2022 umeabot <umeabot> 2.30.0-6.mga9
+ Revision: 1901218
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.30.0-5.mga8
+ Revision: 1495588
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.30.0-4.mga7
+ Revision: 1269246
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.30.0-3.mga6
+ Revision: 1029870
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.30.0-2.mga6
+ Revision: 968737
- Mageia 6 Mass Rebuild

* Wed Jul 15 2015 sander85 <sander85> 2.30.0-1.mga6
+ Revision: 854509
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 2.03-11.mga5
+ Revision: 744486
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.03-10.mga5
+ Revision: 685284
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.03-9.mga4
+ Revision: 512685
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.03-8.mga3
+ Revision: 369273
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 2.03-7.mga1
+ Revision: 12896
- imported package perl-MD5

